Subject: Re: [PATCH v7 09/16] SUNRPC/cache: use new hashtable implementation

From: Andrew Morton <akpm-de/[email-masked]>
Date: Mon, 29 Oct 2012 09:27:58 -0700

On Mon, 29 Oct 2012 07:49:42 -0700 Linus Torvalds <torvalds-de/[email-masked]> wrote:

> Because there's no reason to believe that '9' is in any way a worse
> random number than something page-shift-related, is there?

9 is much better than PAGE_SHIFT.  PAGE_SIZE can vary by a factor of
16, depending on config.

Everyone thinks 4k, and tests only for that.  There's potential for
very large performance and behavior changes when their code gets run
on a 64k PAGE_SIZE machine.